> For the complete documentation index, see [llms.txt](https://docs.e6data.com/query-engine/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.e6data.com/query-engine/reference/cluster-reference/cluster-states.md).

# Cluster states

The lifecycle states an e6data cluster can be in, and what each means.

A cluster reports one of these states at any time.

| State         | Meaning                                                         | Serving queries?               |
| ------------- | --------------------------------------------------------------- | ------------------------------ |
| **Creating**  | Initial provisioning in progress                                | No                             |
| **Running**   | Active and serving queries                                      | Yes                            |
| **Updating**  | A configuration or version change is rolling out                | Yes (on the current version)   |
| **Suspended** | Zero replicas, no cost                                          | No - resumes on the next query |
| **Resuming**  | Coming back from suspension (\~30–90 s)                         | Not yet                        |
| **Failed**    | An irrecoverable error; needs intervention                      | No                             |
| **Degraded**  | Partially functional (some components unhealthy); may self-heal | Yes, with reduced performance  |

For the state transitions, error codes, and what to do in each state, see [Lifecycle states and error codes](/query-engine/guides/clusters/lifecycle-states-and-error-codes.md).

## See also

* [Lifecycle states and error codes](/query-engine/guides/clusters/lifecycle-states-and-error-codes.md)
* [Cluster error states](broken://pages/EhrcRhohjxAm85XGckWJ)
* [Upgrade states](/query-engine/reference/cluster-reference/upgrade-states.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.e6data.com/query-engine/reference/cluster-reference/cluster-states.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
